<?php
/**
 * @category	Modules
 * @package		JomSocial
 * @subpackage	mod_groupcategories
 * @copyright   Copyright (C) 2013 - 2014 Open Source Matters, Inc. All rights reserved.
 * @author      Suman Singh <pankaj.tahiliani@dotsquares.com>
 * @license	GNU General Public License version 2 or later; see LICENSE.php
 *
	This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
defined('_JEXEC') or die('Restricted access');

?>
<style type="text/css">
	.cate_title{background:#f0f0f0; padding:5px; border-bottom:solid 1px #ddd; margin:0px !important;}
	.module_content{padding:0;}
	.cate_list{padding:8px;}
	.cate_list ul li{padding:5px 0 10px 0; border-bottom:solid 1px #ddd; position:relative;}
	.cate_list ul li:last-child{border:none;}
	.cate_list ul li a{width:100%; display:block; text-decoration:none; color:#97BC01; font-weight:bold;padding-bottom:2px;}
	.cate_list ul li a:hover{background:none; color:#095197;}
	.cate_list ul li p{ color:#000; font-weight:normal; margin:0; padding:0; font-size:12px;}
	.cate_list ul li span.cCount{position:absolute; border-radius:99px; height:22px; width:22px; text-align:center; line-height:22px; background:#f0f0f0; border:solid 1px #ddd; top:3px; right:0px;}
</style>
<div class="<?php echo $moduleclass_sfx; ?>">
	<?php
	$module_label = $params->get('module_label','');
	if(!empty($module_label)) {
	?>
	<h<?php echo $params->get('item_heading'); ?> class="cate_title">
		<span><?php echo JText::_($module_label); ?></span>
   </h<?php echo $params->get('item_heading'); ?>>
   <?php
   }
   ?>
	<div class="cate_list">
	<ul class="cCategories">
		<?php if( $categories ): ?>
			<?php foreach( $categories as $row ): ?>
				<li>
					<a href="<?php echo CRoute::_('index.php?option=com_community&view=groups&task=display&categoryid=' . $row->id ); ?>"><?php echo JText::_($row->name); ?>
					</a>
					<?php 
					if($params->get('groupcounter', 0)) {
					if( $row->total > 0 ){ ?>
					<span class="cCount"><?php echo $row->total; ?></span>
					<?php } } ?>
					<?php
					if($params->get('show_description', 0))
					{
						echo "<p>".$row->description."</p>";
					}
					?>
				</li>
			<?php endforeach; ?>
		<?php else: ?>
				<span>
					<?php echo JText::_('COM_COMMUNITY_GROUPS_CATEGORY_NOITEM'); ?>
				</span>
		<?php endif; ?>
	</ul>
	</div>
</div>